CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > OpenFOAM Installation

OpenFOAM-2.1.x in OpenSuse-12.1

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Display Modes
Old   December 13, 2012, 21:01
Default HELP !! OpenFOAM-2.1.x in OpenSuse-12.1
  #1
New Member
 
Join Date: Dec 2012
Posts: 2
Rep Power: 0
lost is on a distinguished road
Help me with the following error please.

sagun@linux-sbp3:~> sudo rpm -i http://www.openfoam.org/download/sus...1-1.x86_64.rpm
root's password:
error: Failed dependencies:
libmpi.so.0()(64bit) is needed by OpenFOAM-2.1.1-1.x86_64
libopen-pal.so.0()(64bit) is needed by OpenFOAM-2.1.1-1.x86_64
libopen-rte.so.0()(64bit) is needed by OpenFOAM-2.1.1-1.x86_64

Last edited by lost; December 14, 2012 at 02:30. Reason: More details
lost is offline   Reply With Quote

Old   December 15, 2012, 13:33
Default
  #2
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 8,301
Blog Entries: 34
Rep Power: 84
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Greetings lost and welcome to the forum!

I'm assuming you're following these instructions: http://www.openfoam.org/download/suse.php

Are you certain you have installed the x86_64 version of openSUSE 12.1? Run the following command to confirm:
Code:
uname -m
If it shows "i586" or similar, then you should be following the 32bit instructions!

But if you have the x86_64 version, then try doing the first step once again:
Code:
sudo zypper in openmpi
Does this display any error message or does it say that it is already installed?

Best regards,
Bruno
wyldckat is online now   Reply With Quote

Old   December 15, 2012, 17:12
Default
  #3
New Member
 
Join Date: Dec 2012
Posts: 2
Rep Power: 0
lost is on a distinguished road
Thank you wyldckat for the reply. I got the following message.
sagun@linux-sbp3:~> uname -m
x86_64
sagun@linux-sbp3:~> sudo zypper in openmpi
Loading repository data...
Reading installed packages...
'openmpi' is already installed.
No update candidate for 'openmpi-1.5.4-4.1.4.x86_64'. The highest available version is already installed.
Resolving package dependencies...

Nothing to do.

lost is offline   Reply With Quote

Old   December 16, 2012, 06:58
Default
  #4
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 8,301
Blog Entries: 34
Rep Power: 84
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Hi lost,

Well, if you have Open-MPI 1.5.4 installed, then that means that you in fact have openSUSE 12.2 instead of 12.1. Therefore I suggest that instead of trying to use the RPM version, you should build OpenFOAM and ParaView from source, for which you'll find unofficial instructions here: http://openfoamwiki.net/index.php/In...#openSUSE_12.2

Best regards,
Bruno
wyldckat is online now   Reply With Quote

Old   January 22, 2013, 05:13
Default Anybody solved this problem?
  #5
cab
New Member
 
Christian
Join Date: Jan 2013
Posts: 1
Rep Power: 0
cab is on a distinguished road
I also have the same problem that the mpi lib couldnt be found although it is installed (same error messages). Did anybody solve the problem?
Thanks very much for any help!!!
cab is offline   Reply With Quote

Old   January 30, 2013, 06:12
Default
  #6
New Member
 
Lomakin Vladimir
Join Date: Jan 2013
Posts: 4
Rep Power: 4
Vladimir_Lomakin is on a distinguished road
Good day,
I had the same problem. And I did all recomendations in http://openfoamwiki.net/index.php/In...#openSUSE_12.2
If I'm not mistaken it's all right with openFOAM, cos' when I type blockMesh or icoFoam there are no mistakes.
But in case of paraFoam there is:
FATAL ERROR: ParaView reader module libraries do not exist

Please build the reader module before continuing:
cd $FOAM_UTILITIES/postProcessing/graphics/PV3Readers
./Allwclean
./Allwmake

And then

vladimir@n1:~/OpenFOAM/OpenFOAM-2.1.1/tutorials/incompressible/icoFoam/cavity> cd $FOAM_UTILITIES/postProcessing/graphics/PV3Readers
vladimir@n1:~/OpenFOAM/OpenFOAM-2.1.1/applications/utilities/postProcessing/graphics/PV3Readers> ./Allwclean
+ wclean libso vtkPV3Readers
wclean vtkPV3Readers
+ PV3blockMeshReader/Allwclean
+ rm -f '/home/vladimir/OpenFOAM/OpenFOAM-2.1.1/platforms/linux64GccDPOpt/lib/libPV3blockMeshReader*'
+ rm -rf PV3blockMeshReader/Make
+ wclean libso vtkPV3blockMesh
wclean vtkPV3blockMesh
+ PV3FoamReader/Allwclean
+ rm -f '/home/vladimir/OpenFOAM/OpenFOAM-2.1.1/platforms/linux64GccDPOpt/lib/libPV3FoamReader*'
+ rm -rf PV3FoamReader/Make
+ wclean libso vtkPV3Foam
wclean vtkPV3Foam
vladimir@n1:~/OpenFOAM/OpenFOAM-2.1.1/applications/utilities/postProcessing/graphics/PV3Readers> ./Allwmake
+ '[' -d /home/vladimir/OpenFOAM/ThirdParty-2.1.1/platforms/linux64Gcc/paraview-3.12.0 -a -r /home/vladimir/OpenFOAM/ThirdParty-2.1.1/platforms/linux64Gcc/paraview-3.12.0 ']'
vladimir@n1:~/OpenFOAM/OpenFOAM-2.1.1/applications/utilities/postProcessing/graphics/PV3Readers>

without any results.
What's wrong?
Best regards...
Vladimir_Lomakin is offline   Reply With Quote

Old   January 30, 2013, 07:21
Default
  #7
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 8,301
Blog Entries: 34
Rep Power: 84
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Greetings Lomakin and welcome to the forum!

I'm guessing that ParaView did not build with success. Try the following commands once again, although a bit different this time:
Code:
cd $WM_THIRD_PARTY_DIR
sed -i -e 's/ClearAndSelect = Clear | Select/ClearAndSelect = static_cast<int>(Clear) | static_cast<int>(Select)/' ParaView-3.12.0/Qt/Core/pqServerManagerSelectionModel.h
./makeParaView > pvmake.log 2>&1

wmSET $FOAM_SETTINGS
which paraview
If the last command does not give you a path to ParaView's main binary installed on OpenFOAM's ThirdParty folder, then:
  • remove the sensitive information inside "pvmake.log";
  • compress it;
  • and attach in your next post.

But it worked well, then run again:
Code:
cd $FOAM_UTILITIES/postProcessing/graphics/PV3Readers 
wmSET $FOAM_SETTINGS
./Allwclean 
./Allwmake
Best regards,
Bruno
wyldckat is online now   Reply With Quote

Old   January 30, 2013, 08:27
Default
  #8
New Member
 
Lomakin Vladimir
Join Date: Jan 2013
Posts: 4
Rep Power: 4
Vladimir_Lomakin is on a distinguished road
Thank you, I did all you said.
see attachment
Attached Files
File Type: gz pvmake.log.tar.gz (5.6 KB, 2 views)
Vladimir_Lomakin is offline   Reply With Quote

Old   January 30, 2013, 08:39
Default
  #9
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 8,301
Blog Entries: 34
Rep Power: 84
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Hi Lomakin,

Which openSUSE version are you using?
And more specifically, which version of CMake do you have installed?
Code:
cmake --version
Best regards,
Bruno
wyldckat is online now   Reply With Quote

Old   January 30, 2013, 08:59
Default
  #10
New Member
 
Lomakin Vladimir
Join Date: Jan 2013
Posts: 4
Rep Power: 4
Vladimir_Lomakin is on a distinguished road
mmm... openSuse 11.3
cmake 2.8.1
Vladimir_Lomakin is offline   Reply With Quote

Old   January 30, 2013, 09:23
Default
  #11
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 8,301
Blog Entries: 34
Rep Power: 84
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Quote:
Originally Posted by Vladimir_Lomakin View Post
mmm... openSuse 11.3
cmake 2.8.1
Ah, that explains everything!

OK, I'll borrow some instructions from here http://openfoamwiki.net/index.php/In...M-2.1.1/Ubuntu - namely:
Code:
cd $WM_THIRD_PARTY_DIR
wget "http://www.openfoam.org/mantisbt/file_download.php?file_id=143&type=bug" -O getCmake
chmod +x getCmake
./getCmake
./makeCmake
wmSET $FOAM_SETTINGS
Then try again the steps from the previous post.
wyldckat is online now   Reply With Quote

Old   February 4, 2013, 10:11
Default
  #12
New Member
 
Lomakin Vladimir
Join Date: Jan 2013
Posts: 4
Rep Power: 4
Vladimir_Lomakin is on a distinguished road
Thank you,
Despite the fact that I feel like a monkey, paraView is working.
I hope that is not the last question about openFOAM.

Thank you once again!
Vladimir_Lomakin is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
New OpenFOAM Forum Structure jola OpenFOAM 2 October 19, 2011 06:55
OpenFOAM 2.0 on OpenSUSE 11.4 AlmostSurelyRob OpenFOAM 14 June 29, 2011 10:48
OpenFOAM 1.7.0 on OpenSUSE 11.1 Bufacchi OpenFOAM Installation 8 August 6, 2010 09:57
Installation how-to's - OpenFOAM 1.7 - openSUSE 11.2 and 11.3 alberto OpenFOAM Installation 24 August 4, 2010 00:48
Adventure of fisrst openfoam installation on Ubuntu 710 jussi OpenFOAM Installation 0 April 24, 2008 14:25


All times are GMT -4. The time now is 20:36.